logo
RunComfy
  • ComfyUI
  • 訓練器新
  • 模型
  • API
  • 定價
discord logo
模型
探索
所有模型
資源庫
生成記錄
模型 API
API 文檔
API 金鑰
帳戶
使用情況

Kling O1 參考圖生影片:圖片與元素控制 | RunComfy

kling/kling-video-o1/image-to-video/reference

使用按順序編號的圖片與元素標記生成參考引導影片,可選擇 5 秒或 10 秒片長以及 3 種精確長寬比。

目錄

1. 快速開始2. 身分驗證3. API 參考提交請求查詢請求狀態取得請求結果取消請求4. 檔案輸入託管檔案(URL)5. 資料結構輸入結構輸出結構

1. 快速開始

使用 RunComfy 的 API 執行 kling/kling-video-o1/image-to-video/reference。 可接受的輸入與輸出請參閱模型的 資料結構說明。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/models/kling/kling-video-o1/image-to-video/reference \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer <token>" \
  --data '{
    "prompt": "Replace the character in the video with @Element1, maintaining the same movements and camera angles. Transform the landscape into @Image1",
    "elements": [
      {
        "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-2.png",
        "reference_image_urls": [
          "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-3.jpeg"
        ]
      }
    ],
    "image_urls": [
      "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-4.png"
    ]
  }'

2. 身分驗證

將 YOUR_API_TOKEN 環境變數設為您的 API 金鑰(在 個人資料中管理金鑰),並在每個請求的 Authorization 標頭中以 Bearer 權杖形式攜帶: Authorization: Bearer $YOUR_API_TOKEN。

3. API 參考

提交請求

提交非同步生成工作後,將立即取得 request_id 以及用於查詢狀態、取得結果與取消的 URL。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/models/kling/kling-video-o1/image-to-video/reference \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer <token>" \
  --data '{
    "prompt": "Replace the character in the video with @Element1, maintaining the same movements and camera angles. Transform the landscape into @Image1",
    "elements": [
      {
        "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-2.png",
        "reference_image_urls": [
          "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-3.jpeg"
        ]
      }
    ],
    "image_urls": [
      "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-4.png"
    ]
  }'

查詢請求狀態

依 request_id 取得目前狀態(「in_queue」、「in_progress」、「completed」或「cancelled」)。

curl --request GET \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/status \
  --header "Authorization: Bearer <token>"

取得請求結果

取得指定 request_id 的最終輸出與中繼資料;若工作尚未完成,回應會回傳目前狀態,方便繼續輪詢。

curl --request GET \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/result \
  --header "Authorization: Bearer <token>"

取消請求

透過 request_id 取消排隊中的工作;進行中的工作無法取消。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/cancel \
  --header "Authorization: Bearer <token>"

4. 檔案輸入

託管檔案(URL)

請提供可公開存取的 HTTPS 位址。確保目標主機允許伺服器端抓取(無需登入或 Cookie)、未被限流或阻擋機器人。建議:圖片 ≤ 50 MB(約 4K),影片 ≤ 100 MB(約 720p 下 2–5 分鐘)。私人資產請使用穩定或預先簽署 URL。

5. 資料結構

輸入結構

{
  "type": "object",
  "title": "輸入結構",
  "required": [
    "prompt",
    "elements",
    "image_urls"
  ],
  "properties": {
    "prompt": {
      "title": "提示詞",
      "description": "必填指令。請按陣列順序將圖片寫作 `@Image1`、`@Image2`,將元素寫作 `@Element1`、`@Element2`,並嚴格保持標記拼寫。",
      "type": "string",
      "default": "Replace the character in the video with @Element1, maintaining the same movements and camera angles. Transform the landscape into @Image1"
    },
    "image_urls": {
      "title": "參考圖片",
      "description": "必填的附加參考圖片 URL 陣列。陣列可以為空,最多包含 7 項。",
      "type": "array",
      "items": {
        "type": "string",
        "format": "image_uri"
      },
      "default": [
        "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-4.png"
      ],
      "maxItems": 7,
      "minItems": 0
    },
    "elements": {
      "title": "元素",
      "description": "必填的角色或物體定義陣列。陣列可以為空,最多包含 7 個元素。",
      "type": "array",
      "default": [
        {
          "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-2.png",
          "reference_image_urls": [
            "https://playgrounds-storage-public.runcomfy.net/tools/7244/media-files/input-1-3.jpeg"
          ]
        }
      ],
      "items": {
        "frontal_image_url": {
          "title": "正面圖片網址",
          "description": "元素的正面圖像(主視圖)。最大檔案大小:10.0MB,最小寬度:300px,最小高度:300px,最小長寬比:0.40,最大長寬比:2.50,逾時:20.0s",
          "type": "string",
          "format": "image_uri",
          "default": ""
        },
        "reference_image_urls": {
          "title": "參考圖片網址",
          "description": "來自不同角度的附加參考影像。支援 1-4 張圖像。至少需要一張圖像。",
          "type": "array",
          "format": "image_uris",
          "items": {
            "type": "string",
            "format": "image_uri"
          },
          "default": [],
          "maxItems": 4,
          "minItems": 1
        }
      },
      "maxItems": 7,
      "minItems": 0
    },
    "duration": {
      "title": "片長(秒)",
      "description": "影片片長(秒),精確字串值為 `5`、`10`。",
      "type": "String",
      "enum": [
        "5",
        "10"
      ],
      "default": "5"
    },
    "aspect_ratio": {
      "title": "長寬比(寬:高)",
      "description": "影片長寬比,精確支援 `16:9`、`9:16`、`1:1`。",
      "type": "string",
      "enum": [
        "16:9",
        "9:16",
        "1:1"
      ],
      "default": "16:9"
    }
  }
}

輸出結構

{
  "output": {
    "type": "object",
    "properties": {
      "image": {
        "type": "string",
        "format": "uri",
        "description": "單張圖片 URL"
      },
      "video": {
        "type": "string",
        "format": "uri",
        "description": "單一影片 URL"
      },
      "images": {
        "type": "array",
        "description": "多張圖片 URL",
        "items": {
          "type": "string",
          "format": "uri"
        }
      },
      "videos": {
        "type": "array",
        "description": "多個影片 URL",
        "items": {
          "type": "string",
          "format": "uri"
        }
      }
    }
  }
}
關注我們
  • 領英
  • Facebook
  • Instagram
  • Twitter
支持
  • Discord
  • 電子郵件
  • 系統狀態
  • 附屬
視頻模型
  • MiniMax H3
  • Minimax H3 Image to Video
  • FLUX 3 Video
  • Happy Horse 1.1 reference to video
  • Wan 2.6 Flash
  • Hailuo 2.3 Fast Standard
  • 查看所有模型 →
影像模型
  • FLUX 3 Image
  • Seedream 5.0 Pro Image Edit
  • Flux 2 Flash Edit
  • seedream 4.0
  • GPT Image 2 Image Edit
  • Nano Banana Pro
  • 查看所有模型 →
法律
  • 服務條款
  • 隱私政策
  • Cookie 政策
RunComfy
版權 2026 RunComfy. 保留所有權利。

RunComfy 是首選的 ComfyUI 平台,提供 ComfyUI 在線 環境和服務,以及 ComfyUI 工作流程 具有驚豔的視覺效果。 RunComfy還提供 AI Models, 幫助藝術家利用最新的AI工具創作出令人驚艷的藝術作品。